<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}{% endblock %}</title>
    {% load static %}
    {% block static %}{% endblock %}
    <!-- Jquery -->
    <script src="{% static '3rd-party/jquery/jquery-3.6.1.min.js' %}"></script>
    <!-- Bootstrap CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <!-- Overriding Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="{% static '3rd-party/bootstrap/override.css' %}">
    <!-- Boostrap JavaScript Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
    <!-- Font Awesome Icons -->    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <!-- Custom css for every pages -->
    <link rel="stylesheet" type="text/css" href="{% static 'style/base.css' %}">
</head>
<body class="pb-5">
    <!-- About Modal -->
    <div class="modal fade" id="aboutModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
            <h1 class="modal-title fs-5" id="exampleModalLabel">About {{project_title}}</h1>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                {% include 'editablecontent/editable-content.html' with editable_content=about_content allow_edit=is_admin %}
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
        </div>
    </div>

    <!-- All modals to manage files -->
    {% include 'fileupload/manage_files.html' %}

    <nav class="navbar navbar-expand-lg bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand fw-semibold text-white" href="/">{{project_title}}</a>
            <div class="d-lg-none ms-auto me-3 text-white">Hello <strong>{% if user.first_name %}{{ user.first_name }}{% else %}{{ user.username }}{% endif %}</strong></div>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="text-white nav-link {% if request.path == '/' %}active{% endif %}" aria-current="page" href="/">Dashboard</a>
                    </li>
                    {% if is_admin %}
                    <li class="nav-item">
                        <a class="text-white nav-link {% if request.path == '/admin/' %}active{% endif %}" href="/admin/">Admin</a>
                    </li>
                    {% endif %}
                    <li class="nav-item">
                        <a class="text-white nav-link cursor-pointer" data-bs-toggle="modal" data-bs-target="#aboutModal">About</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="text-white nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                          Actions
                        </a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="{% url 'logout' %}">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
            <div class="d-none d-lg-block ms-auto me-3 text-white">Hello <strong>{% if user.first_name %}{{ user.first_name }}{% else %}{{ user.username }}{% endif %}</strong></div>
        </div>
    </nav>

    
    {% block content %}{% endblock %}
    
    <script src="{% static 'js/components.js' %}"></script>
    {% block script %}{% endblock %}

    <!-- Custom Javascript for custom CSS classes -->
    <link href="{% static 'fileupload/css/base.css' %}" rel='stylesheet' />
    <!-- JS for editable content components -->
    <script src="{% static 'editablecontent/js/editable-content.js' %}"></script>
    <link href="{% static 'editablecontent/css/base.css' %}" rel='stylesheet' />

</body>
</html>